<? require 'header.php'; ?>
<div class="menucenter">
<div class='alert'>
<font color="red">Цветом</font> подсвечиваются те пользователи, которые набрали минимум и считаются участниками конкурса, имеющими право на получение приза!!!<br>
</div>
<div class='navil'><center><b>.::Активные конкурсы::.</b></center></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom:5px;'>
<?
$res=mysql_query("select * from tb_comp order by id asc");
while($row=mysql_fetch_assoc($res))
{
	$t=time();
	$sd=strtotime($row["startdate"]);
	$ed=strtotime($row["enddate"]);
	$idk=$row["id"];
	$pris1=$row["pris1value"];
	$pris2=$row["pris2value"];
	$pris3=$row["pris3value"];
	$minvalue=$row["min"];

	if($t>$sd && $t<$ed)
	{
		echo "
<thead><tr>
<th colspan='3' bgcolor='#333333' align='center'><b>Название: ".$row["name"]."</th>
</tr></thead>
<tr>
<td colspan='3' style='font-size:13px;border:1px solid #ddd;'>
		<b>Описание:</b> ".$row["descr"]."
</td>
</tr><tr>
<td style='border-left:1px solid #ddd;' width='33%' align='center'>1 место - <font color='red'>$pris1</font> руб.</td>
<td width='33%' align='center'>2 место - <font color='red'>$pris2</font> руб.</td>
<td style='border-right:1px solid #ddd;' width='33%' align='center'>3 место - <font color='red'>$pris3</font> руб.</td>
</tr>
<tr>
<td colspan='3' style='font-size:13px;border:1px solid #ddd;border-top:0px;'>
Период проведения конкурса: с ".$row["startdate"]." до ".$row["enddate"]."</b></font></td></tr>
<tr>
<td bgcolor='#ddd' style='border-left:1px solid #ddd;' align='center' width='33%'>Место</td>
<td bgcolor='#ddd' align='center' width='33%'>Пользователь</td>
<td bgcolor='#ddd' style='border-right:1px solid #ddd;' align='center' width='33%'>Очки</td>
</tr>
";

$res1=mysql_query("select * from tb_compdata where idk='$idk' order by resvalue desc limit 10");
		$place=0;
		while($row1=mysql_fetch_assoc($res1))
		{
			$place=$place+1;
			if($row1["resvalue"]>=$minvalue) { $cvet='yellow'; }else{ $cvet='ffffff';}

echo "
<tbody>
<tr bgcolor=$cvet>
<td class='value' style='border-left:1px solid #ddd;' align='center' >$place</font></td>
<td class='value' align='center' >".$row1["user"]."</td>
<td class='value' style='border-right:1px solid #ddd;' align='center' >".$row1["resvalue"]."</td>
</tr></tbody>";
		}

	}
}
?>
</table>
<br>
<br><br><br>
<br>
<center><b>.::Завершенные конкурсы::.</b></span></center><br>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
	<th>Место</th>
	<th>Пользователь</th>
	<th>Набрано очков</th>
	<th>Статус приза</th>

</tr></thead>
<?
$res=mysql_query("select * from tb_comp order by id desc");
while($row=mysql_fetch_array($res))
{
	$t=time();
	$dd=strtotime($row["deldate"]);
	$ed=strtotime($row["enddate"]);
	$idk=$row["id"];
	$minvalue=$row["min"];

	if($t>$ed)
	{
		echo "<tr><td colspan=5 bgcolor=#333333><font color=#ffffff><b>".$row["name"]."</b></font></td></tr>";
		$res1=mysql_query("select * from tb_compdata where idk='$idk' and resvalue>='$minvalue' order by resvalue desc limit 3");
		$place=0;
		while($row1=mysql_fetch_array($res1))
		{
			$place=$place+1;
			if($row["pris".$place."status"]=='0') { $prisstatus="<font color=#ff0000><b>Не получен</b></font>"; }else{ $prisstatus="<font color=#00ff00><b>Зачислен</b></font>"; }

			echo "<tr><td align=center>$place</td><td align=center>".$row1["user"]."</td><td align=center>".$row1["resvalue"]."</td>
			<td align=center>$prisstatus</td></tr>";
		}
	}
}
?>
</table>
<? require 'footer.php';?>